Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.classloader
Class IoUtil.EmptyInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.axis2.classloader.IoUtil.EmptyInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  IoUtil

    public static final class IoUtil.EmptyInputStream

extends java.io.InputStream

Constructor Summary
`IoUtil.EmptyInputStream()`

Method Summary
`int` | `available()`
`void` | `close()`
`void` | `mark(int readlimit)`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`void` | `reset()`
`long` | `skip(long n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IoUtil.EmptyInputStream

    public IoUtil.EmptyInputStream()

Method Detail

### read

    public int read()

  Specified by:
    `read` in class `java.io.InputStream`

### read

    public int read(byte[] b)

  Overrides:
    `read` in class `java.io.InputStream`

### read

    public int read(byte[] b,
                    int off,
                    int len)

  Overrides:
    `read` in class `java.io.InputStream`

### skip

    public long skip(long n)

  Overrides:
    `skip` in class `java.io.InputStream`

### available

    public int available()

  Overrides:
    `available` in class `java.io.InputStream`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`

### mark

    public void mark(int readlimit)

  Overrides:
    `mark` in class `java.io.InputStream`

### reset

    public void reset()

  Overrides:
    `reset` in class `java.io.InputStream`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.InputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.